--- title: "Add assignment to IP ACL" slug: "add-ip-acl-to-assignments" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/add-ip-acl-to-assignments" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Add assignment to IP ACL Available in Classic and VPC Add an assignment to an IP ACL. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/ip-acls/{ipAclId}/assignments | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `ipAclId` | String | Required | IP ACL ID - See [Get IP ACL list](/docs/en/get-ip-acls). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `consoleAccessAssignmentIds` | Array | Conditional | List of console-accessible assignment IDs - See [Get IP ACL assignment list](/docs/en/get-ip-acl-assignments). - Required when adding a console-accessible assignment. - It can be set only if the assignment's `consoleAccessAllowed` and `consoleAccessRestricted` are both true. | | `apiAccessAssignmentIds` | Array | Conditional | List of API Gateway-accessible assignment IDs - See [Get IP ACL assignment list](/docs/en/get-ip-acl-assignments). - Required when adding an API Gateway-accessible assignment. - It can be set only if the assignment's `apiAccessAllowed` and `apiAccessRestricted` are both true. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/ip-acls/5bf4cad0-****-****-****-cd51bba3fe23/assignments' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "consoleAccessAssignmentIds": [ "2c15b16c-****-****-****-3e7207ff2bf6" ], "apiAccessAssignmentIds": [ "2c15b16c-****-****-****-3e7207ff2bf6" ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | IP ACL ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for IP ACL | | `success` | Boolean | - | API processing result | ### Response status codes For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "5bf4cad0-****-****-****-cd51bba3fe23", "nrn": "nrn:PUB:SSO::*******:IPACL/5bf4cad0-****-****-****-cd51bba3fe23", "success": true } ```